<?php
// $xml et $xsl contiennent des donnes XML et XSL


$arguments = array(
     '/_xml' => $xml,
     '/_xsl' => $xsl
);

// Allocation d'un analyseur XSLT
$xh = xslt_create();

// Traitement du document
$result = xslt_process($xh, 'arg:/_xml', 'arg:/_xsl', NULL, $arguments); 
if ($result) {
   print "Russi. sample.xml a t transform par sample.xsl en result.xml";
   print ", result.xml contient ceci : \n<br>\n";
   print "<pre>\n";
   print $result;
   print "</pre>\n";
}
else {
   print "<p>Dsol, sample.xml n'a pu tre transform par sample.xsl en ";
   print " result.xml. La raison est " . xslt_error($xh) . " et ";
   print " le code d'erreur est " . xslt_errno($xh);
}
xslt_free($xh);

?> 